Subject: Re: bug#71386: 29.1; Frame is auto-deleted even when it has multiple tabs

From: Ship Mints <[email-masked]>
Date: Sun, 30 Mar 2025 08:36:43 -0400

On Sun, Mar 30, 2025 at 2:44 AM Juri Linkov <[email-masked]> wrote:

> > I've been bitten by this same issue where kill-buffer /
> > replace-buffer-in-windows doesn't take available tab-bar tabs into
> > consideration as viable replacement windows to restore when quitting the
> > last window on a frame.  I looked at 29+, 30, 31 window.el/.c and
> > tab-bar.el and I can't find if this was resolved or if there was a recipe
> > to avoid this.
> >
> > I've resorted to wrapping kill-buffer using a custom function, not
> advice,
> > to inhibit deleting the frame.
> >
> > Do any of you recall if this bug was addressed and how?  If not, may I
> > assist in some way?
>
> Sorry, I'm still testing the fix attached below.
> Does it work for you?
>

I'll give it a try.  I have a question, though, and sorry if the answer is
obvious.  Where is the window parameter 'quit-restore get set 'tab to begin
with?